net.minecraft.client.renderer.texture

## Class TextureUtil

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureUtil

-     public class TextureUtil
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DynamicTexture` | `missingTexture`
    `static int[]` | `missingTextureData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `allocateTexture(int par0, int par1, int par2)`
    `static int` | `glGenTextures()`
    `static int[]` | `readImageData(ResourceManager par0ResourceManager, ResourceLocation par1ResourceLocation)`
    `static int[]` | `updateAnaglyph(int[] par0ArrayOfInteger)`
    `static void` | `uploadTexture(int par0, int[] par1ArrayOfInteger, int par2, int par3)`
    `static int` | `uploadTextureImage(int par0, BufferedImage par1BufferedImage)`
    `static int` | `uploadTextureImageAllocate(int par0, BufferedImage par1BufferedImage, boolean par2, boolean par3)`
    `static int` | `uploadTextureImageSub(int par0, BufferedImage par1BufferedImage, int par2, int par3, boolean par4, boolean par5)`
    `static void` | `uploadTextureSub(int[] par0ArrayOfInteger, int par1, int par2, int par3, int par4, boolean par5, boolean par6)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### missingTexture

          public static final DynamicTexture missingTexture

    - #### missingTextureData

          public static final int[] missingTextureData

  - ### Constructor Detail

    - #### TextureUtil

          public TextureUtil()

  - ### Method Detail

    - #### glGenTextures

          public static int glGenTextures()

    - #### uploadTextureImage

          public static int uploadTextureImage(int par0,
                               BufferedImage par1BufferedImage)

    - #### uploadTexture

          public static void uploadTexture(int par0,
                           int[] par1ArrayOfInteger,
                           int par2,
                           int par3)

    - #### uploadTextureSub

          public static void uploadTextureSub(int[] par0ArrayOfInteger,
                              int par1,
                              int par2,
                              int par3,
                              int par4,
                              boolean par5,
                              boolean par6)

    - #### uploadTextureImageAllocate

          public static int uploadTextureImageAllocate(int par0,
                                       BufferedImage par1BufferedImage,
                                       boolean par2,
                                       boolean par3)

    - #### allocateTexture

          public static void allocateTexture(int par0,
                             int par1,
                             int par2)

    - #### uploadTextureImageSub

          public static int uploadTextureImageSub(int par0,
                                  BufferedImage par1BufferedImage,
                                  int par2,
                                  int par3,
                                  boolean par4,
                                  boolean par5)

    - #### readImageData

          public static int[] readImageData(ResourceManager par0ResourceManager,
                            ResourceLocation par1ResourceLocation)
                                     throws IOException

      Throws:
        `IOException`

    - #### updateAnaglyph

          public static int[] updateAnaglyph(int[] par0ArrayOfInteger)